var express = require('express');
var router = express.Router();
var controller = require('../controllers/usuario');

router.get('/:id?', controller.get);
router.post('/', controller.post);
router.put('/', controller.put);
router.put('/clave', controller.change);
router.delete('/', controller.delete);
router.post('/validate', controller.validate);
router.post('/current', controller.current);

module.exports = router;